export default {
    getCookie(cookie_name) {
        //获取cookie中指定key的value
        var allcookies = document.cookie; //索引长度，开始索引的位置
        var cookie_pos = allcookies.indexOf(cookie_name); // 如果找到了索引，就代表cookie存在,否则不存在
  
        if (cookie_pos != -1) {
            // 把cookie_pos放在值的开始，只要给值加1即可
            //计算取cookie值得开始索引，加的1为“=”
            cookie_pos = cookie_pos + cookie_name.length + 1; //计算取cookie值得结束索引
            var cookie_end = allcookies.indexOf(";", cookie_pos);
    
            if (cookie_end == -1) {
                cookie_end = allcookies.length;
            } //得到想要的cookie的值
            var value = unescape(allcookies.substring(cookie_pos, cookie_end));
        }
        return value;
    },
    // 返回格式化时间，传参例如："yyyy-MM-dd hh:mm:ss"
    formatDate(fmt,date) {
        var date = date ? date : new Date()
        var o = { 
            "M+" : date.getMonth()+1,                 //月份 
            "d+" : date.getDate(),                    //日 
            "h+" : date.getHours(),                   //小时 
            "m+" : date.getMinutes(),                 //分 
            "s+" : date.getSeconds(),                 //秒 
            "q+" : Math.floor((date.getMonth()+3)/3), //季度 
            "S"  : date.getMilliseconds()             //毫秒 
        }; 
        if(/(y+)/.test(fmt)) {
            fmt=fmt.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length)); 
        }
        for(var k in o) {
            if(new RegExp("("+ k +")").test(fmt)){
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
            }
        }
        return fmt
    },
    // 下载文件
    downloadFile(fileName,url) {
        var x = new XMLHttpRequest()
        x.open("GET", url, true)
        x.responseType = 'blob'
        x.onload=function(e) {
            var url = window.URL.createObjectURL(x.response)
            var a = document.createElement('a')
            a.href = url
            a.download = fileName
            a.click()
        }
        x.send()
    },
    // 小于0前面加上0
    handleZero (num) {
        return num < 10 ? '0' + num : num
    }
}